<form [formGroup]="registerForm">
  <!-- Name -->
  <div class="mb-3">
    <label class="inline-block mb-2">Name</label>
    <app-input [control]="name" placeholder="Enter Name"></app-input>
  </div>
  <!-- Email -->
  <div class="mb-3">
    <label class="inline-block mb-2">Email</label>
    <app-input [control]="email" type="email" placeholder="Enter Email"></app-input>
  </div>
  <!-- Age -->
  <div class="mb-3">
    <label class="inline-block mb-2">Age</label>
    <app-input [control]="age" type="number" placeholder="Enter Age"></app-input>
  </div>
  <!-- Password -->
  <div class="mb-3">
    <label class="inline-block mb-2">Password</label>
    <app-input [control]="password" type="password" placeholder="Enter Password"></app-input>
  </div>
  <!-- Confirm Password -->
  <div class="mb-3">
    <label class="inline-block mb-2">Confirm Password</label>
    <app-input [control]="confirm_password" type="password" placeholder="Confirm Password"></app-input>
  </div>
  <!-- Phone Number -->
  <div class="mb-3">
    <label class="inline-block mb-2">Phone Number</label>
    <app-input [control]="phone_number" type="text" placeholder="Enter Phone Number" format="0000 00000999999"/>
  </div>
  <button type="submit"
          class="block w-full bg-indigo-400 text-white py-1.5 px-3 rounded transition
                hover:bg-indigo-500">
    Submit
  </button>
</form>
